
library(mice)
library(ggplot2)
library(naniar)



md.pattern(combined_cat_reduced)

colSums(is.na(combined_cat_reduced))


# using  geom_miss_point()
ggplot(combined_cat_reduced,
       aes(x = id_x,
           y = id_y)) +
  geom_miss_point()


gg_miss_upset(combined_cat_reduced)


ggplot(combined_cat_reduced,
       aes(x = id_x, y = id_y)) +
  geom_miss_point() +
  scale_colour_manual(values = c("Missing" = "red", "Not Missing" = "grey80"))



combined_cat_reduced %>%
  filter(is.na(salario_act)) %>%
  ggplot(aes(x = id_x, y = id_y)) +
  geom_point(color = "red") +
  labs(title = "Missing data in salario_act")






